Bug 26760 - Redirect to paycollect.pl when clicking on "Save and pay"
Summary: Redirect to paycollect.pl when clicking on "Save and pay"
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Julian Maurice
QA Contact: Nick Clemens
URL:
Keywords:
Depends on: 14898
Blocks:
  Show dependency treegraph
 
Reported: 2020-10-21 11:05 UTC by Julian Maurice
Modified: 2021-12-13 21:14 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.02


Attachments
Bug 26760: Redirect to paycollect.pl when clicking on "Save and pay" (1.94 KB, patch)
2020-10-21 11:06 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 26760: Redirect to paycollect.pl when clicking on "Save and pay" (2.00 KB, patch)
2020-10-23 21:54 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 26760: Redirect to paycollect.pl when clicking on "Save and pay" (2.05 KB, patch)
2020-10-24 01:21 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 26760: Escape URI parameters in redirect URI to paycollect.pl (1.71 KB, patch)
2021-05-12 08:26 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 26760: Redirect to paycollect.pl when clicking on "Save and pay" (2.11 KB, patch)
2021-07-03 20:36 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26760: Escape URI parameters in redirect URI to paycollect.pl (1.77 KB, patch)
2021-07-03 20:36 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2020-10-21 11:05:59 UTC
Bug 14898 added the "Save and pay" button that redirects to "Make a payment" tab after creating a manual invoice
This requires the user to click on another "Pay" button before being taken to the real payment form.
By redirecting directly to paycollect.pl, this useless step will no longer be needed.
Comment 1 Julian Maurice 2020-10-21 11:06:46 UTC
Created attachment 112093 [details] [review]
Bug 26760: Redirect to paycollect.pl when clicking on "Save and pay"

Bug 14898 added the "Save and pay" button that redirects to "Make a
payment" tab after creating a manual invoice
This requires the user to click on another "Pay" button before being
taken to the real payment form.
By redirecting directly to paycollect.pl, this useless step will no
longer be needed.
Comment 2 Julian Maurice 2020-10-21 11:08:55 UTC
Test plan:
1. Create a manual invoice for any patron and click on "Save and pay", you should be redirected to the payment form
2. Confirm the payment, make sure it appears in the transactions tab
Comment 3 ByWater Sandboxes 2020-10-23 21:54:28 UTC
Created attachment 112313 [details] [review]
Bug 26760: Redirect to paycollect.pl when clicking on "Save and pay"

Bug 14898 added the "Save and pay" button that redirects to "Make a
payment" tab after creating a manual invoice
This requires the user to click on another "Pay" button before being
taken to the real payment form.
By redirecting directly to paycollect.pl, this useless step will no
longer be needed.

Signed-off-by: Lisette Scheer <lisetteslatah@gmail.com>
Comment 4 Nick Clemens 2020-10-24 01:21:17 UTC
Created attachment 112351 [details] [review]
Bug 26760: Redirect to paycollect.pl when clicking on "Save and pay"

Bug 14898 added the "Save and pay" button that redirects to "Make a
payment" tab after creating a manual invoice
This requires the user to click on another "Pay" button before being
taken to the real payment form.
By redirecting directly to paycollect.pl, this useless step will no
longer be needed.

Signed-off-by: Lisette Scheer <lisetteslatah@gmail.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Jonathan Druart 2020-11-03 15:25:26 UTC
1. Parameter needs to be URI escaped, at least the description
2. Why the sprintf? I am expecting the formatting to be template side?

Failing QA for 1.
Comment 6 Julian Maurice 2021-05-12 08:26:04 UTC
Created attachment 120856 [details] [review]
Bug 26760: Escape URI parameters in redirect URI to paycollect.pl

Also remove useless '%.2f' formatting of amount and amountoutstanding
Comment 7 Julian Maurice 2021-05-12 08:28:16 UTC
(In reply to Jonathan Druart from comment #5)
> 1. Parameter needs to be URI escaped, at least the description
Fixed

> 2. Why the sprintf? I am expecting the formatting to be template side?
If you're talking about sprintf('%.2f', ...) I don't remember why I added this, and it seems useless, so I removed it.
Comment 8 Katrin Fischer 2021-07-03 20:36:35 UTC
Created attachment 122577 [details] [review]
Bug 26760: Redirect to paycollect.pl when clicking on "Save and pay"

Bug 14898 added the "Save and pay" button that redirects to "Make a
payment" tab after creating a manual invoice
This requires the user to click on another "Pay" button before being
taken to the real payment form.
By redirecting directly to paycollect.pl, this useless step will no
longer be needed.

Signed-off-by: Lisette Scheer <lisetteslatah@gmail.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Katrin Fischer 2021-07-03 20:36:40 UTC
Created attachment 122578 [details] [review]
Bug 26760: Escape URI parameters in redirect URI to paycollect.pl

Also remove useless '%.2f' formatting of amount and amountoutstanding

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Jonathan Druart 2021-07-12 13:48:41 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 11 Kyle M Hall 2021-07-16 12:41:17 UTC
Pushed to 21.05.x for 21.05.02
Comment 12 Fridolin Somers 2021-08-02 21:35:44 UTC
I propose we do not impact older versions behavior.